<!DOCTYPE html> <html lang="en" ng-app="server" ng-strict-di ng-controller="ServerController"> <head> <script type="text/javascript">window.lang = "<?php _('LANGUAGE') ?>";</script> <meta charset="utf-8"> <meta http-equiv="X-UA-Compatible" content="chrome=1, IE=edge"> <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1"> <meta name="description" content="<?php _('PROJECT_NAME') ?> for 3d printer"> <meta name="author" content="Roland Littwin"> <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"> <link rel="apple-touch-icon" href="/img/touch-icon-iphone.png"> <link rel="apple-touch-icon" sizes="72x72" href="/img/touch-icon-ipad.png"> <link rel="apple-touch-icon" sizes="114x114" href="/img/touch-icon-iphone4.png"> <link rel="stylesheet" href="../css/combined.css?v=<?php _('PROJECT_VERSION') ?>"> <?php _('modCSS') ?> <title>{{titlePrepend}}<?php _('PROJECT_NAME_VERSION') ?></title> </head> <body class="noselect"> <div id="wrapper"> <nav class="navbar navbar-main ng-cloak" role="navigation"> <div class="limit-width"> <div class="navbar-header">  <a class="navbar-brand" href="#"><img src="/img/logo-60.png" style="width:30px;height:30px;float:left;margin-right:8px;margin-top:-5px"> <?php _('PROJECT_NAME_VERSION') ?> </a> </div> <ul class="nav navbar-top-links navbar-right"> <li ng-show="user.loggedIn()"> <a ui-sref="home" title="<?php _('Dashboard') ?>"><i class="fa fa-home"></i></a> </li> <li uib-dropdown ng-show="user.isLoggedIn"> <a uib-dropdown-toggle href="javascript:void(0)" title="<?php _('Printer List') ?>"> <i class="rs rs-printer"></i> <span ng-show="printerWithJobs.length" class="badge badge-menu" ng-bind="printerWithJobs.length"></span> </a> <ul uib-dropdown-menu class="dropdown-tasks"> <li ng-repeat="p in printerList track by $index"> <a ui-sref="printer.print({slug:p.slug})"> <div> <strong>{{p.name}}</strong> <span style="position:absolute;right:0;margin-right:10px" ng-bind-html="p | online | unsafe"></span> </div> <div ng-if="p.done"> <div class="progress active" style="margin:0"> <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="printer[p.slug].status.done" aria-valuemin="0" aria-valuemax="100" style="width: {{printer[p.slug].status.done}}%"> </div> </div> </div> </a> </li> <li ng-show="printerList.length == 0"> <a href="javascript:void(0)"><?php _('No printers defined') ?></a> </li> </ul>  </li> <li uib-dropdown ng-show="user.printPermission" ng-click="$event.stopPropagation()"> <a uib-dropdown-toggle href="javascript:void(0)" title="<?php _('Your Messages') ?>"> <i class="fa fa-envelope fa-fw"></i> <span ng-show="messages.length" class="badge badge-menu" ng-bind="messages.length"></span> </a> <ul uib-dropdown-menu class="dropdown-messages"> <li class="menu-message clearfix zoomOut" ng-if="messages.length>1"> <a ng-click="RSMessages.removeAll()" class="btn btn-sm btn-danger pull-right dangermenubtn" style="padding: 8px !important;min-height: 0!important"> <i class="fa fa-trash"></i> </a> <div class="menumesg"><?php _('Clear all Messages') ?></div> </li> <li ng-repeat="m in messages track by m.id" class="menu-message clearfix zoomOut"> <a ng-click="RSMessages.remove(m)" class="btn btn-danger pull-right dangermenubtn" style="padding: 8px !important"> <i class="fa fa-2x" ng-class="{'fa-trash':!m.pause,'fa-play-circle-o':m.pause}"></i> </a> <div class="menumesg"> <strong>{{printer[m.slug].status.name}}</strong><span class="pull-right text-muted"><em>{{m.date | date:'short'}}</em></span> <div>{{m.msg}}</div> </div> </li> <li ng-show="messages.length == 0"> <a href="javascript:void(0)"><?php _('No open messages') ?></a> </li> </ul> </li> <li ng-show="overview.supportsFullscreen()"> <a href="javascript:void(0)" onclick="toggleFullscreen(window.document.body)" title="<?php _('Switch to Full Screen') ?>"><i class="fa fa-arrows-alt"></i></a> </li> <li uib-dropdown ng-show="user.loggedIn()"> <a uib-dropdown-toggle href="javascript:void(0)"> <i class="fa fa-gear fa-fw"></i> </a> <ul uib-dropdown-menu class="dropdown-user"> <li ng-show="user.changeConfigPermission"> <a ui-sref="userconfig"><i class="fa fa-user fa-fw rs-bigtab"></i> <?php _('User Profiles') ?> </a> </li> <li ng-show="user.changeConfigPermission"><a ui-sref="gsettings"><i class="fa fa-globe fa-fw rs-bigtab"></i> <?php _('Global Settings') ?></a> </li> <li ng-show="user.changeConfigPermission"><a ui-sref="update"><i class="fa fa-refresh fa-fw rs-bigtab"></i> <?php _('Check for Updates') ?></a> </li> <li ng-show="user.changeConfigPermission"><a ui-sref="register"><i class="rs rs-key fa-fw rs-bigtab"></i> <?php _('Register') ?></a> </li> <li> <a href="/manual/index.html" target="_blank"><i class="fa fa-question-circle fa-fw rs-bigtab"></i> <?php _('Manual') ?></a> </li> <li> <a ui-sref="about"><i class="fa fa-info fa-fw rs-bigtab"></i> <?php _('About') ?> <?php _('PROJECT_NAME_VERSION') ?> </a> </li> <li ng-if="user.isRealUser" class="divider"></li> <li ng-if="user.isRealUser"><a ng-click="user.logout()" ui-sref="login"><i class="fa fa-sign-out fa-fw rs-bigtab"></i> <?php _('Logout') ?> {{user.getLogin()}} </a> </li> <li ng-show="user.realUser()" class="divider"></li> <li ng-repeat="c in externalCommandsFiltered | filter:{remote:true} track by $index"> <a ng-click="overview.runExternalCommand(c.id)" href="javascript:void(0);"><i class="fa fa-external-link rs-bigtab"></i> {{c.name}}</a> </li> </ul>  </li> <li uib-dropdown> <a uib-dropdown-toggle href="javascript:void(0)" title="<?php _('Select Language') ?>"> <img src="/img/flags/<?php _('LANGUAGE') ?>.png"> </a> <ul uib-dropdown-menu class="dropdown-language" style="min-width:20px"> <li ng-repeat="l in supportedLanguages track by $index"> <a href="javascript:void(0)" ng-click="selectLanguage(l.id)"><span style="display:inline-block;width:40px"><img ng-src="{{l.flag}}"></span> {{l.name}}</a> </li> </ul> </li> </ul> <div style="clear:both"></div> </div> </nav> <div id="page-wrapper"> <div ui-view="" ng-if="RSCom.wasConnected"></div> </div> </div>  <script src="/js/libraries-min.js"></script> <script src="/js/codemirror-min.js"></script> <script src="/js/libraries2-min.js"></script>  <script src="/js/angular-min.js"></script> <script src="/js/angular-i18n/angular-locale_<?php _('LANGUAGE') ?>.js"></script> <script src="/js/app-min.js?lang=<?php _('LANGUAGE') ?>"></script> <?php _('modJS') ?> <script type="application/javascript">var app = angular.module('server', ['ngAnimate','ui.router','ui.bootstrap','ngSanitize','RSUser','RSPrinter','RSBase','RSGSettings','LocalStorageModule'<?php _('modModulesQuoted') ?>])
        .config(['$stateProvider','$urlRouterProvider','$compileProvider','localStorageServiceProvider',function ($stateProvider,$urlRouterProvider,$compileProvider,localStorageServiceProvider) {
            $compileProvider.debugInfoEnabled(false); // For faster processing disable debug
            $urlRouterProvider.otherwise("/");
            localStorageServiceProvider.setPrefix("RServer");
        }]);</script>   </body> </html>